program mkversion;

uses NLib, NSys, NStr, NStdIO;

var
  verstr, ver, copyright, builddate: string;
begin
  try
    StdIn.ReadLine(verstr);
    StdIn.ReadLine(copyright);

    verstr := Strip(verstr);
    ver := Replace(verstr, '.', ',');
    copyright := Strip(copyright);
    with LocalTime(Time) do
      builddate := Format('{0}{1:02}{2:02}', [Year, Mon, MDay]);

    Print('#define VER_PRODUCTVER ' + ver);
    Print('#define VER_PRODUCTVERSTR "' + verstr + '\0"');
    Print('#define VER_FILEVER ' + ver);
    Print('#define VER_FILEVERSTR "' + verstr + '\0"');
    Print('#define VER_COPYRIGHT "'+ copyright + '\0"');
    Print('#define PRODUCTVERDATE "' + verstr + ' ('+builddate+')'+'"');
    Print('#define COPYRIGHT "'+ copyright + '"');
  except
    SysFatal;
  end;
end.
